# Raytracer

A multi-threaded raytracer using glm, tinyobjloader and C++23. The UI is written in imgui and image display is
rendered using OpenGL. I tried to write this to not be insanely fast or compact like other raytracers, but to be
readable and understandable.

![example result](misc/output.png)

The example image shown above is rendered using simple direct light computation and naive indirect light sampling.

## Building

A recent version of Clang is recommended. GCC may be used but I experienced crashes when trying to compile some of our bigger modules.
